{
  "schema_version": "1.4.0",
  "id": "GHSA-cc8w-fc65-v92f",
  "modified": "2022-05-17T05:50:14Z",
  "published": "2022-05-17T05:50:14Z",
  "aliases": [
    "CVE-2010-2054"
  ],
  "details": "Integer overflow in httpAdapter.c in httpAdapter in SBLIM SFCB 1.3.4 through 1.3.7, when the configuration sets httpMaxContentLength to a zero value, allows remote attackers to cause a denial of service (heap memory corruption) or possibly execute arbitrary code via a large integer in the Content-Length HTTP header, aka bug #3001915.  NOTE: some of these details are obtained from third party information.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-2054"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=127549079109192&w=2"
    },
    {
      "type": "WEB",
      "url": "http://sblim.cvs.sourceforge.net/viewvc/sblim/sfcb/httpAdapter.c?r1=1.85&r2=1.86"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/40018"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/tracker/index.php?func=detail&aid=3001915&group_id=128809&atid=712784"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1312"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-06-15T14:30:00Z"
  }
}